package net.northking.cctp.common.util.excelUtil.excelEntity;

import org.apache.poi.ss.usermodel.BorderStyle;

/**
 * 单元格格式
 * @Author: chaoyi.zhang
 * @Date: 2020/8/29 0029
 */
public class CellStyleTemplate {
    /**
     * 字体大小_默认12
     */
    private Integer fontHeight;
    /**
     * 字体类型_默认微软雅黑
     */
    private String fontName;
    /**
     * 字体类型_边框线
     */
    private BorderStyle borderStyle;

    public Integer getFontHeight() {
        return fontHeight==null?12:fontHeight;
    }

    public void setFontHeight(Integer fontHeight) {
        this.fontHeight = fontHeight;
    }

    public String getFontName() {
        return fontName==null?"微软雅黑":fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public BorderStyle getBorderStyle() {
        return borderStyle==null?BorderStyle.THIN:borderStyle;
    }

    public void setBorderStyle(BorderStyle borderStyle) {
        this.borderStyle = borderStyle;
    }
}
